GET jobs
curl --request GET \
--url https://app.onecodex.com/api/v1/jobs/{id} \
--header 'X-API-Key: <api-key>'import requests
url = "https://app.onecodex.com/api/v1/jobs/{id}"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://app.onecodex.com/api/v1/jobs/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"$uri": "/api/v1/jobs/0d77065796f8d173",
"analysis_type": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"draft": true,
"job_args_schema": {},
"name": "<string>",
"public": true
}Jobs
Retrieve A Job
GET
/
api
/
v1
/
jobs
/
{id}
GET jobs
GET a single job by its ID.
Authorizations
Path Parameters
Response
200 - application/json
OK
Pattern:
^/api/v1/jobs/[a-f0-9]{16}$Example:
"/api/v1/jobs/0d77065796f8d173"
The type of analysis. See the analysis resource for more details.
Whether the job is an unpublished draft. Draft jobs are only visible to their creator.
The JSON schema for the arguments taken by the job (can be an empty object, i.e., {}).
The name of the job (this is displayed in the dropdown on the analysis page of the One Codex web application).
Whether the job is publicly available. For most jobs this will be true. Custom, private jobs are also available, and will only be visible to users whose samples (or samples shared with them) have been analyzed using that job.
⌘I

